%%%%%%%%%%%%%%%%%%%%%% p10_1.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%----------------------------------------------------
%    Problem 10.1: construct controllability matrix 
%          and determine controllability 
%----------------------------------------------------
  clear
  disp('Problem 10.1: construct controllability matrix ')
  disp('  and determine controllability')  
  disp('	3rd-order system')  
  disp(' ')
  A = [-4 1 2; 1 -5 3; 2 0 -6]    % state matrix
  B = [ 1; 0.5; 2]                      % input matrix
  disp('*****>');pause
  Co = ctrb(A,B)                      % controllability matrix
  c_eig = rank(Co)                    % number of controllable eigenvalues
  disp('*****>');pause
  disp('end of Reinforcement Problem 10.1')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%