%%%%%%%%%%%%%%%%%%%%%% p3_2.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%    Problem 3.2: Series connection of two systems.
%----------------------------------------------------
clear, clf
numG1 = 2*[1 4]
denG1 = conv([1 1],[1 4 16])  %- product of 2 polynomials
G1 = tf(numG1,denG1)
numG2 = 5
denG2 = [1 8]
G2 = tf(numG2,denG2)
disp('*******>');pause
G12 = G1*G2
disp('*******>');pause
%------- find zeros, poles, & gain of combined system
[zG12,pG12,kG12] = zpkdata(G12,'v')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(G12)
grid;title('P3.2: Step Response')
disp('End of Reinforcement Problem 3.2')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%