%%%%%%%%%%%%%%%%%%%%%% p5_2.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%                                 K (s+5)
%  Problem 5.2:  G(s) = ------------------------
%                         (s+1)(s+3)(s+12)(s+20)
%----------------------------------------------------
clear,clf
num = [1 5]
temp1 = conv([1 1],[1 3]);
temp2 = conv([1 12],[1 20]);
den = conv(temp1,temp2)
G = tf(num,den)
axis('square');
axis([-30 0 -15 15]);
rlocus(G)
grid;title('P5.2: Root Locus')
keyboard
[K,clpoles] = rlocfind(G)
disp('end of Reinforcement Problem 5.2')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%