%%%%% fig10_3.m %%%%% 
%	Jan 99
%  last revison;  1/8/99  JHC
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
  disp('fig 10.3: Frequency response of observer-controller for Example 10.6')

  A = [-2 -2.5 -0.5; 1 0 0; 0 1 0];       % state matrix
  B = [ 1; 0; 0];                         % input matrix set to zero
  C = [1 4 3.5];                          % output matrix
  D = 0;                                  % throughput matrix
  p_s = [-1 -2 -3];                       % desired system poles 
  F = place(A,B,p_s);                     % control gain
  p_o = [-3 -5 -7];
  L = place(A',C',p_o)';                  % estimator gain
  A_f = A-B*F-L*C ;                       % controller system matrix
  Gc = ss(A_f,-L,-F,0)
  bode(Gc)  
%  title('fig 10.3: Frequency response of observer-controller for Example 10.6')
  plt_ttl('Bode Diagrams',' ')
  print -deps fig10_3.eps
subplot(111)
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%