%%%%%%%%%%%%%%%%%%%%%% p10_8.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%----------------------------------------------------
%     Problem 10.8: construct observability matrix 
%              and determine observability 
%----------------------------------------------------
  clear
  disp('Problem 10.8: construct observability matrix ')
  disp('  and determine observability')  
  disp('  Observer form')  
  disp(' ')
  A = [-2 1 0 0; -3 0 1 0; -5 0 0 1; -10 0 0 0]    % state matrix
  C = [ 1 0 0 0]                      % output matrix
  disp('*****>');pause
  Ob = obsv(A,C)                      % observability matrix
  o_eig = rank(Ob)                    % number of observable eigenvalues
  disp('*****>');pause
  disp('end of Reinforcement Problem 10.8')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 