%%%%%%%%%%%%%%%%%%%%%% p2_12.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%     Problem 2.12: given G(s), find step response
%         Use initial & final value theorems
%----------------------------------------------------
clear, clf
disp('Problem 2.12 : Another step response')
numG = [3 4 5]
denG = [2 7 11 12 4]
disp('*****>');pause
%---- add pole at s=0 to G(s) 
numstep = numG
denstep = [denG 0]
Gstep = tf(numstep, denstep)
impulse(Gstep,15)
grid;title('P2.12: step response by adding pole to G(s)')
keyboard
%--- get step response via step cmd
G = tf(numG,denG)
step(G)
grid;title('P.12: step response via step command')
keyboard
DC_gain = dcgain(G)
disp('End of Reinforcement Problem 2.12')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%