%%%%%%%%%%%%%%%%%%%%%% p2_13.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%----------------------------------------------------
%    Problem 2.13: given G(s), find response  
%   		to arbitrary inputs via lsim
%----------------------------------------------------
clear, clf
disp('Problem 2.13: Response to ramp/step input')
numG = [2 11 5]
denG = [1 7 32 60]
G = tf(numG, denG)
disp('*****>');pause
time = [0:0.01:5]';
u = zeros(size(time));
i1 = min(find(time>=2));
for i=1:i1,u(i)=2*time(i);end
for i=i1+1:length(u),u(i) = u(i1);end
y = lsim(G,u,time);
axis([0 5 0 1]);
plot(time,y,time,u*0.2,'--');grid
title('P2.13: output(solid) & input*0.2(---)')
axis;
disp('end of Reinforcement Problem 2.13')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%