%%%%%%%%%%%%%%%%%%%%%% p2_16.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%                 Problem 2.16:  
%   determine poles and stability of system 
%----------------------------------------------------
clear, clf
disp('Problem 2.16 - poles on imaginary axis')
numG = [ 1 1 1 1 ]
denG = [ 1 6 17 54 72 ]
G = tf(numG, denG)
disp('*****>');pause
GG = zpk(G)
[zG, pG, kG] = zpkdata(GG,'v')
disp('*****>');pause
t = [0:0.1:10]';
impulse(G,t)
title('P2.16: Impulse Response of system with poles on imaginary axis')
grid
disp('end of Reinforcement Problem 2.16')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
