%%%%%%%%%%%%%%%%%%%%%% p4_4.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/2/99 HS
%----------------------------------------------------
%      Problem 4.4: connect state-space models in  
%      series, parallel and feedback configuration
%----------------------------------------------------
  clear
  disp('Problem 4.4: G1(s) and G2(s) in transfer-function form')
  disp(' ')
  disp('Convert G1(s) to state-space form')
  numG1 = [3 2 1]
  denG1 = [4 5 8]
  G1tf = tf(numG1,denG1)
  G1ss = ss(G1tf)
  disp('*****>');pause
  disp('Convert G2(s) to state-space form')
  numG2 = [0 4 2]
  denG2 = [1 2 10]
  G2tf = tf(numG2,denG2)
  G2ss = ss(G2tf)
  disp('*****>');pause
  Gs = G1ss*G2ss 
  disp('*****>');pause
  Gp = G1ss+G2ss
  disp('*****>');pause
  Gf = feedback(G1ss,G2ss)
  [Af,Bf,Cf,Df] = ssdata(Gf)
  disp('end of Reinforcement Problem 4.4')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%