%%%%%%%%%%%%%%%%%%%%%% p5_7.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%                           K (s+2)(s+5)
%   Problem 5.7:    G(s) = --------------
%                               s^3
%----------------------------------------------------
clear,clf
num = conv([1 2],[1 5])  %- zeros at s=-2 & -5
den = [1 0 0 0]          %- triple pole at s=0
G = tf(num,den)
axis('square');
rlocus(G)
grid;title('P5.7: Root Locus')
axis([-15 15 -15 15]);
keyboard
[K,clpoles] = rlocfind(G)
disp('end of Reinforcement Problem 5.7')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%